@set MYTEXMF=\texmf
@set MYVTEXMF=\texmf-var
@set MYLTEXMF=\texmf-local
@set MYLBIN=\bin
@if NOT "%SOURCE%"=="" cd %SOURCE%
@copy pwd source.bat
@cd >>source.bat
@call source
@del source.bat
@if "%SOURCE%"=="" set SOURCE="%ORIGIN%"

@if EXIST %SOURCE%\inputs\frlicense.dat goto EXISTS
@echo Le fichier source %%SOURCE%%\inputs\frlicense.dat n'est pas trouve !
@set SOURCE=
@set ROOT=
@goto FIN

:EXISTS
@cd ..
@cd ..
@cd ..
@if NOT "%ROOT%"=="" cd %ROOT%
@copy %SOURCE%\target %SOURCE%\root.bat
@cd >>%SOURCE%\root.bat
@call %SOURCE%\root
@del %SOURCE%\root.bat
@if NOT "%ROOT%"=="" goto OKROOT
@if "%ROOT%"=="" set ROOT="%ORIGOUT%"
@echo Cette procedure automatique d'installation ne fonctionnera pas
@echo si les commandes (et formats) frtex et frlatex n'existent pas ;
@echo voir a ce sujet engines\tetex.pdf.
@echo
@echo Vous devez eventuellement preciser (variable %%ROOT%%) ou se trouve 
@echo votre repertoire cible TEXMF-LOCAL pour l'installation de French Pro ;
@echo peut-etre s'agit-il de :
@echo %ROOT%

:OKROOT
@cd %SOURCE%
@copy pwd root.bat
@cd %ROOT%
@cd >>%SOURCE%\root.bat
@cd %SOURCE%
@echo . 
@echo      B I E N V E N U E pour l'installation de French Pro 
@echo .
@echo Installation de French Pro depuis le repertoire 
@echo source %SOURCE% (variable %%SOURCE)
@echo et selon l'architecture TDS (texmf-local sauf 
@echo pour les formats qui iront dans texmf-var) qui
@echo a pour racine %ROOT% (variable %%ROOT).
@echo Ok pour continuer ? (sinon Ctrl-C)
@pause

@cd %ROOT%
mkdir %ROOT%%MYTEXMF%\tex 
mkdir %ROOT%%MYTEXMF%\tex\generic 
mkdir %ROOT%%MYTEXMF%\tex\generic\hyphen 

mkdir %ROOT%%MYLTEXMF%\doc 
mkdir %ROOT%%MYLTEXMF%\doc\french 

@set INITID=
@set FORMAT=latex
cd %SOURCE%\inputs
latex frlicense.dat
del frlicense.log
cd %SOURCE%
mkdir %SOURCE%\bin
mkdir %SOURCE%\bin
mkdir %ROOT%%MYLTEXMF%\tex
mkdir %ROOT%%MYLTEXMF%\tex\french
mkdir %ROOT%%MYTEXMF%\tex\generic\hyphen
cd %SOURCE%\initex
copy frhyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy frhyph1.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy zerohyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
mkdir %ROOT%%MYLTEXMF%\tex\french\base
copy ecplain.tex %ROOT%%MYLTEXMF%\tex\french\base
copy hyconfig.tex %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
mkdir %ROOT%%MYLTEXMF%\tex\french\config
cd %SOURCE%\inputs
copy frlicense.dat %ROOT%%MYLTEXMF%\tex\french\config
copy language.dat %ROOT%%MYLTEXMF%\tex\french\config
cd %SOURCE%\inputs
copy keyboard.dat %ROOT%%MYLTEXMF%\tex\french\config
cd %SOURCE%\initex
cd %SOURCE%\initex
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\fr%INITID%%FORMAT%.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\frpdflatex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\frpdftex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\fr%INITID%tex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\frtexcm.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\frtexec.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config\mltex.ini
copy hyphen.cfg %ROOT%%MYLTEXMF%\tex\french\config
copy plaintex.cfg %ROOT%%MYLTEXMF%\tex\french\config
copy frjobname.ini %ROOT%%MYLTEXMF%\tex\french\config
copy fr%INITID%%FORMAT%.fr %ROOT%%MYLTEXMF%\tex\french\config
copy frpdflatex.fr %ROOT%%MYLTEXMF%\tex\french\config
copy frpdftex.fr %ROOT%%MYLTEXMF%\tex\french\config
copy fr%INITID%tex.fr %ROOT%%MYLTEXMF%\tex\french\config
copy frtexcm.fr %ROOT%%MYLTEXMF%\tex\french\config
copy frtexec.fr %ROOT%%MYLTEXMF%\tex\french\config
copy mltex.fr %ROOT%%MYLTEXMF%\tex\french\config
mkdir %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb7to8.exe %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb8to7.exe %ROOT%%MYLTEXMF%%MYLBIN%
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy ALIRE.pdf frenchpro.pdf
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy frenchpro.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchpro.pdf
del frenchpro.pdf
copy %SOURCE%\doc\frguide.pdf %ROOT%%MYLTEXMF%\doc\french\base\frguide.pdf
copy %SOURCE%\doc\frenchle.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchle.pdf
mkdir %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy french.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.sty %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy copyrigh.tex %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
copy frabbrev.tex %ROOT%%MYLTEXMF%\tex\french\base
copy frhyphex.tex %ROOT%%MYLTEXMF%\tex\french\base
copy fxabbrev.tex %ROOT%%MYLTEXMF%\tex\french\base
copy fenglish.sty %ROOT%%MYLTEXMF%\tex\french\base
copy french.sty %ROOT%%MYLTEXMF%\tex\french\base
copy frenchle.sty %ROOT%%MYLTEXMF%\tex\french\base
copy frenchpro.sty %ROOT%%MYLTEXMF%\tex\french\base
copy pmfrench.sty %ROOT%%MYLTEXMF%\tex\french\base
copy french.all %ROOT%%MYLTEXMF%\tex\french\base
copy french.chk %ROOT%%MYLTEXMF%\tex\french\base
copy french.cmd %ROOT%%MYLTEXMF%\tex\french\base
copy enbib.ldf %ROOT%%MYLTEXMF%\tex\french\base
copy frbib.ldf %ROOT%%MYLTEXMF%\tex\french\base
copy french.ldf %ROOT%%MYLTEXMF%\tex\french\base
copy frenchle.ldf %ROOT%%MYLTEXMF%\tex\french\base
copy frenchpro.ldf %ROOT%%MYLTEXMF%\tex\french\base
copy french.dmy %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
copy frenchfc.tex %ROOT%%MYLTEXMF%\tex\french\base
copy kbconfig.tex %ROOT%%MYLTEXMF%\tex\french\base
copy keyboard.tex %ROOT%%MYLTEXMF%\tex\french\base
copy keyboard.sty %ROOT%%MYLTEXMF%\tex\french\base
copy ansinew.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy applemac.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy ascii.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy cp850.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy decmulti.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy latin1.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy latin9.kbc %ROOT%%MYLTEXMF%\tex\french\base
copy next.kbc %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
copy mlp-01.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp-31.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp-33.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp-49.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp-49n.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp-opts.sty %ROOT%%MYLTEXMF%\tex\french\base
copy mlp.sty %ROOT%%MYLTEXMF%\tex\french\base
copy deutschx.mlp %ROOT%%MYLTEXMF%\tex\french\base
copy francais.mlp %ROOT%%MYLTEXMF%\tex\french\base
copy internat.mlp %ROOT%%MYLTEXMF%\tex\french\base
copy ndeutsch.mlp %ROOT%%MYLTEXMF%\tex\french\base
copy noesterr.mlp %ROOT%%MYLTEXMF%\tex\french\base
copy oesterre.mlp %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
copy epreuve.sty %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%\inputs
copy fridx1.ist %ROOT%%MYLTEXMF%\tex\french\base
cd %SOURCE%
@initexmf --update-fndb=%ROOT%%MYLTEXMF%
@set INITID=pdf
@set FORMAT=latex
cd %SOURCE%\initex
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%tex.ini
pdftex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%tex.fr \dump
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\initex
copy %SOURCE%\initex\frlatex.fr %SOURCE%\initex\fr%INITID%%FORMAT%.fr
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%%FORMAT%.ini
pdftex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%%FORMAT%.fr
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\inputs
latex frlicense.dat
del frlicense.log
cd %SOURCE%
mkdir %SOURCE%\bin
mkdir %SOURCE%\bin
mkdir %ROOT%%MYLTEXMF%\mltex
mkdir %ROOT%%MYLTEXMF%\mltex\french
mkdir %ROOT%%MYTEXMF%\tex\generic\hyphen
cd %SOURCE%\initex
copy frhyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy frhyph1.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy zerohyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
copy ecplain.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy hyconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
mkdir %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy frlicense.dat %ROOT%%MYLTEXMF%\mltex\french\config
copy language.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy keyboard.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\initex
cd %SOURCE%\initex
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frlatex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%%FORMAT%.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%tex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexcm.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexec.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\mltex.ini
copy hyphen.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy plaintex.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy frlatex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexcm.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexec.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy mltex.fr %ROOT%%MYLTEXMF%\mltex\french\config
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb7to8.exe %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb8to7.exe %ROOT%%MYLTEXMF%%MYLBIN%
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy ALIRE.pdf frenchpro.pdf
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy frenchpro.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchpro.pdf
del frenchpro.pdf
copy %SOURCE%\doc\frguide.pdf %ROOT%%MYLTEXMF%\doc\french\base\frguide.pdf
copy %SOURCE%\doc\frenchle.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchle.pdf
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy french.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.sty %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy copyrigh.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy frhyphex.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fxabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fenglish.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy pmfrench.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.all %ROOT%%MYLTEXMF%\mltex\french\base
copy french.chk %ROOT%%MYLTEXMF%\mltex\french\base
copy french.cmd %ROOT%%MYLTEXMF%\mltex\french\base
copy enbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.dmy %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frenchfc.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy kbconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy ansinew.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy applemac.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy ascii.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy cp850.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy decmulti.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin1.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin9.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy next.kbc %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy mlp-01.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-31.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-33.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49n.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-opts.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy deutschx.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy francais.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy internat.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy ndeutsch.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy noesterr.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy oesterre.mlp %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy epreuve.sty %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy fridx1.ist %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
texhash %ROOT%%MYLTEXMF%
@set INITID=e
@set FORMAT=latex
cd %SOURCE%\initex
copy %SOURCE%\initex\frtex.fr %SOURCE%\initex\fr%INITID%tex.fr
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%tex.ini
etex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%tex.fr \dump
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\initex
copy %SOURCE%\initex\frlatex.fr %SOURCE%\initex\fr%INITID%%FORMAT%.fr
copy %SOURCE%\initex\frlatex.fr %SOURCE%\initex\fr%INITID%%FORMAT%.fr
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%%FORMAT%.ini
etex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%%FORMAT%.fr
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\inputs
latex frlicense.dat
del frlicense.log
cd %SOURCE%
mkdir %SOURCE%\bin
mkdir %SOURCE%\bin
mkdir %ROOT%%MYLTEXMF%\mltex
mkdir %ROOT%%MYLTEXMF%\mltex\french
mkdir %ROOT%%MYTEXMF%\tex\generic\hyphen
cd %SOURCE%\initex
copy frhyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy frhyph1.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy zerohyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
copy ecplain.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy hyconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
mkdir %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy frlicense.dat %ROOT%%MYLTEXMF%\mltex\french\config
copy language.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy keyboard.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\initex
cd %SOURCE%\initex
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%%FORMAT%.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%tex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frlatex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexcm.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexec.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\mltex.ini
copy hyphen.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy plaintex.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frlatex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexcm.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexec.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy mltex.fr %ROOT%%MYLTEXMF%\mltex\french\config
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb7to8.exe %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb8to7.exe %ROOT%%MYLTEXMF%%MYLBIN%
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy ALIRE.pdf frenchpro.pdf
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy frenchpro.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchpro.pdf
del frenchpro.pdf
copy %SOURCE%\doc\frguide.pdf %ROOT%%MYLTEXMF%\doc\french\base\frguide.pdf
copy %SOURCE%\doc\frenchle.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchle.pdf
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy french.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.sty %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy copyrigh.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy frhyphex.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fxabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fenglish.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy pmfrench.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.all %ROOT%%MYLTEXMF%\mltex\french\base
copy french.chk %ROOT%%MYLTEXMF%\mltex\french\base
copy french.cmd %ROOT%%MYLTEXMF%\mltex\french\base
copy enbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.dmy %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frenchfc.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy kbconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy ansinew.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy applemac.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy ascii.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy cp850.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy decmulti.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin1.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin9.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy next.kbc %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy mlp-01.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-31.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-33.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49n.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-opts.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy deutschx.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy francais.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy internat.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy ndeutsch.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy noesterr.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy oesterre.mlp %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy epreuve.sty %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy fridx1.ist %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
texhash %ROOT%%MYLTEXMF%
@set INITID=
@set FORMAT=latex
cd %SOURCE%\initex
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%tex.ini
tex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%tex.fr \dump
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\initex
copy %SOURCE%\initex\fr%INITID%%FORMAT%.fr %SOURCE%\initex\frlatex.fr
set TEXINPUTS=%ORIGIN%\\;%ORIGOUT%%MYTEXMF%\tex\latex\\;%ORIGOUT%%MYTEXMF%\tex\plain\base\\;%ORIGOUT%%MYTEXMF%\tex\generic\hyphen\\;.\\
copy %SOURCE%\initex\frjobname.ini %SOURCE%\initex\fr%INITID%%FORMAT%.ini
tex -ini -mltex -translate-file=cp8bit.tcx fr%INITID%%FORMAT%.fr
set TEXINPUTS=
cd %SOURCE%
cd %SOURCE%\inputs
latex frlicense.dat
del frlicense.log
cd %SOURCE%
mkdir %SOURCE%\bin
mkdir %SOURCE%\bin
mkdir %ROOT%%MYLTEXMF%\mltex
mkdir %ROOT%%MYLTEXMF%\mltex\french
mkdir %ROOT%%MYTEXMF%\tex\generic\hyphen
cd %SOURCE%\initex
copy frhyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy frhyph1.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
copy zerohyph.tex %ROOT%%MYTEXMF%\tex\generic\hyphen
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
copy ecplain.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy hyconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
mkdir %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy frlicense.dat %ROOT%%MYLTEXMF%\mltex\french\config
copy language.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\inputs
copy keyboard.dat %ROOT%%MYLTEXMF%\mltex\french\config
cd %SOURCE%\initex
cd %SOURCE%\initex
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%%FORMAT%.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\fr%INITID%tex.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexcm.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\frtexec.ini
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config\mltex.ini
copy hyphen.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy plaintex.cfg %ROOT%%MYLTEXMF%\mltex\french\config
copy frjobname.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.ini %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%%FORMAT%.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy fr%INITID%tex.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexcm.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy frtexec.fr %ROOT%%MYLTEXMF%\mltex\french\config
copy mltex.fr %ROOT%%MYLTEXMF%\mltex\french\config
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb7to8.exe %ROOT%%MYLTEXMF%%MYLBIN%
copy %SOURCE%\bin\kb8to7.exe %ROOT%%MYLTEXMF%%MYLBIN%
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy ALIRE.pdf frenchpro.pdf
mkdir %ROOT%%MYLTEXMF%\doc\french\base
copy frenchpro.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchpro.pdf
del frenchpro.pdf
copy %SOURCE%\doc\frguide.pdf %ROOT%%MYLTEXMF%\doc\french\base\frguide.pdf
copy %SOURCE%\doc\frenchle.pdf %ROOT%%MYLTEXMF%\doc\french\base\frenchle.pdf
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy french.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.ldf %ROOT%%MYLTEXMF%\tex\latex\frenchle
copy frenchle.sty %ROOT%%MYLTEXMF%\tex\latex\frenchle
cd %SOURCE%\inputs
copy copyrigh.tex %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy frhyphex.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fxabbrev.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy fenglish.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy pmfrench.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy french.all %ROOT%%MYLTEXMF%\mltex\french\base
copy french.chk %ROOT%%MYLTEXMF%\mltex\french\base
copy french.cmd %ROOT%%MYLTEXMF%\mltex\french\base
copy enbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frbib.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchle.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy frenchpro.ldf %ROOT%%MYLTEXMF%\mltex\french\base
copy french.dmy %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy frenchfc.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy kbconfig.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.tex %ROOT%%MYLTEXMF%\mltex\french\base
copy keyboard.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy ansinew.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy applemac.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy ascii.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy cp850.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy decmulti.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin1.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy latin9.kbc %ROOT%%MYLTEXMF%\mltex\french\base
copy next.kbc %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy mlp-01.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-31.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-33.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-49n.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp-opts.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy mlp.sty %ROOT%%MYLTEXMF%\mltex\french\base
copy deutschx.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy francais.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy internat.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy ndeutsch.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy noesterr.mlp %ROOT%%MYLTEXMF%\mltex\french\base
copy oesterre.mlp %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy epreuve.sty %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
mkdir %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%\inputs
copy fridx1.ist %ROOT%%MYLTEXMF%\mltex\french\base
cd %SOURCE%
texhash %ROOT%%MYLTEXMF%
@echo LICENCE D'UTILISATION VALABLE 1 MOIS, A L'ESSAI."


@echo Fin de la procedure d'installation

:FIN
@pause 
